#!/bin/bash

PACKAGE_NAME=cct-fonts

name=${0##*/}
BUILD_ROOT=${0%usr/share/doc/cct*/$name}
if [ "$BUILD_ROOT" == '/' ]; then
    echo 1>&2 The RPM package should be built in a SUBDIRECTORY.
    exit 1
fi
[ "$BUILD_ROOT" == "${BUILD_ROOT#/}" ] && BUILD_ROOT="`pwd`/$BUILD_ROOT"

SPEC_FILE=/tmp/buildrpm.$$.spec

if [ ! -d /$BUILD_ROOT ]; then
    echo 1>&2 "error: directory /$BUILD_ROOT does not exist."
    exit 2
fi

trap "rm -f $SPEC_FILE; exit" 0 1 2 3 15

cat <<END >$SPEC_FILE
Name:		$PACKAGE_NAME
BuildArch:	noarch
Buildroot: 	$BUILD_ROOT
#Requires:	tetex tetex-fonts tetex-latex
#Requires:	tetex-xdvi tetex-dvips
#Conflicts:	cct <= 1.1, cct-redhat6x <= 1.1
Provides:	cct-fonts
Version: 	1.2
Release:	0
Summary:	Chinese outline fonts for CCT
Group:		Applications/Publishing
URL:		ftp://lsec.cc.ac.cn/pub/cct
Packager:	Zhang Lin-bo <zlb@lsec.cc.ac.cn>
License:	non-commercial use

%description
This is a basic set of Chinese fonts for CCT.

%prep

%build

%install
# This is a temporary workaround
mkdir -p \$RPM_BUILD_ROOT
/bin/cp -af $BUILD_ROOT/* \$RPM_BUILD_ROOT/.

%clean
rm -rf \$RPM_BUILD_ROOT

%post

%files
/*

%changelog
END

# Note: this is a temporary workaround
rpmbuild -bb $SPEC_FILE
